-- CreateEnum
CREATE TYPE "Domain" AS ENUM ('USER');

-- CreateTable
CREATE TABLE "configuration" (
    "uuid" UUID NOT NULL,
    "domain" "Domain" NOT NULL,
    "key" TEXT NOT NULL,
    "value" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "configuration_pkey" PRIMARY KEY ("uuid")
);

-- CreateIndex
CREATE UNIQUE INDEX "configuration_domain_key_key" ON "configuration"("domain", "key");
